Module | LibXML::Conversions::Node
In: | lib/active_support/xml_mini/libxml.rb

### Methods

array? attributes_to_hash children_array_to_hash children_to_hash children_yaml_to_hash insert_name_into_hash to_hash yaml?

### Constants

CONTENT_ROOT | = | '__content__'
LIB_XML_LIMIT | = | 30000000

### Public Instance methods

to_hash(hash={})

Convert XML document to hash

hash: | Hash to merge the converted element into.

### Protected Instance methods

array?()

Check if child is of type array

attributes_to_hash(hash={})

Convert xml attributes to hash

hash: | Hash to merge the attributes into

children_array_to_hash(hash={})

Convert array into hash

hash: | Hash to merge the array into

children_to_hash(hash={})

Insert children into hash

hash: | Hash to merge the children into.

children_yaml_to_hash(hash = {})

Convert yaml into hash

hash: | Hash to merge the yaml into

insert_name_into_hash(hash, name)

Insert name into hash

hash: | Hash to merge the converted element into.
name: | name to to merge into hash

yaml?()

Check if child is of type yaml

[Validate]